Retrieve the policy facts
curl --request GET \
--url https://api.tagada.io/v1/policy-facts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/v1/policy-facts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/v1/policy-facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/policy-facts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/policy-facts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagada.io/v1/policy-facts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/policy-facts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "policy_facts",
"processors": [
{
"amount": {
"max": {
"amount": 123,
"currency": "AED"
},
"min": {
"amount": 123,
"currency": "AED"
}
},
"approval": 123,
"brands": [
"visa"
],
"capabilities_synced_at": "<string>",
"card_regions": [
"us"
],
"currencies": [
"<string>"
],
"declines_in_a_row": 123,
"fees": {
"afterpay": 123,
"apple_pay": 123,
"card": 123,
"google_pay": 123,
"ideal": 123,
"klarna": 123,
"link": 123,
"paypal": 123
},
"funding": [
"credit"
],
"id": "<string>",
"methods": {
"afterpay": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"apple_pay": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"card": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"google_pay": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"ideal": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"klarna": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"link": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"paypal": {
"status": "live",
"requested_via": "api",
"since": "<string>"
}
},
"mid": "<string>",
"name": "<string>",
"provider": "<string>",
"provider_name": "<string>",
"renewals_due": {
"amount": {
"amount": 123,
"currency": "AED"
},
"count": 123
},
"status": "live",
"subscribers": 123,
"usage": {
"day": {
"amount": {
"amount": 123,
"currency": "AED"
},
"count": 123
},
"month": {
"amount": 123,
"currency": "AED"
}
},
"descriptor": {
"account_prefix": "<string>",
"fixed": "<string>",
"max_length": 123,
"mode": "none"
}
}
],
"fulfillment_source": true,
"risk_provider_bound": true,
"sample_renewal_amount": {
"amount": 123,
"currency": "AED"
},
"wallet_domain": {
"host": "<string>",
"status": "<string>"
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}Payment policies
Retrieve the policy facts
The processor facts every policy of the account is checked against, in the request mode. Policies need not exist.
GET
/
v1
/
policy-facts
Retrieve the policy facts
curl --request GET \
--url https://api.tagada.io/v1/policy-facts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/v1/policy-facts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/v1/policy-facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/policy-facts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/policy-facts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagada.io/v1/policy-facts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/policy-facts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "policy_facts",
"processors": [
{
"amount": {
"max": {
"amount": 123,
"currency": "AED"
},
"min": {
"amount": 123,
"currency": "AED"
}
},
"approval": 123,
"brands": [
"visa"
],
"capabilities_synced_at": "<string>",
"card_regions": [
"us"
],
"currencies": [
"<string>"
],
"declines_in_a_row": 123,
"fees": {
"afterpay": 123,
"apple_pay": 123,
"card": 123,
"google_pay": 123,
"ideal": 123,
"klarna": 123,
"link": 123,
"paypal": 123
},
"funding": [
"credit"
],
"id": "<string>",
"methods": {
"afterpay": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"apple_pay": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"card": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"google_pay": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"ideal": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"klarna": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"link": {
"status": "live",
"requested_via": "api",
"since": "<string>"
},
"paypal": {
"status": "live",
"requested_via": "api",
"since": "<string>"
}
},
"mid": "<string>",
"name": "<string>",
"provider": "<string>",
"provider_name": "<string>",
"renewals_due": {
"amount": {
"amount": 123,
"currency": "AED"
},
"count": 123
},
"status": "live",
"subscribers": 123,
"usage": {
"day": {
"amount": {
"amount": 123,
"currency": "AED"
},
"count": 123
},
"month": {
"amount": 123,
"currency": "AED"
}
},
"descriptor": {
"account_prefix": "<string>",
"fixed": "<string>",
"max_length": 123,
"mode": "none"
}
}
],
"fulfillment_source": true,
"risk_provider_bound": true,
"sample_renewal_amount": {
"amount": 123,
"currency": "AED"
},
"wallet_domain": {
"host": "<string>",
"status": "<string>"
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}Authorizations
Secret, platform or publishable API key. Platform keys require Payments-Account.
